[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# THintWindow.SetBounds

Applies the argument values to the bounds for the control.

## Declaration

Source position: forms.pp line 1027

`public procedure THintWindow.SetBounds(`
`ALeft: Integer;`
`ATop: Integer;`
`AWidth: Integer;`
`AHeight: Integer`
`); override;`

## Arguments

`ALeft` |  | Value for the Left property.
`ATop` |  | Value for the Top property.
`AWidth` |  | Value for the Width property.
`AHeight` |  | Value for the Height property.

## Description

SetBounds is an overridden method in THintWindow. It calls the inherited method on entry to apply the argument values to the bounds for the class instance. It calls the UpdateRegion method to set the window region, or apply a background theme when enabled.

## See also

TWinControl.InitializeWnd |  | Copies cached control properties to the newly created widget.